Arch 3Views/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(14 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav/ru
{{Template:UnfinishedDocu}}
|[[Arch_ToggleIfcBrepFlag|Toggle IFC Brep flag]]
|[[Arch_MakeIfcSpreadsheet|Create IFC spreadsheet...]]
|[[Arch_Module|Arch]]
|IconL=Arch_ToggleIfcBrepFlag.svg |IconC=Workbench_Arch.svg |IconR=Arch_Schedule.svg
}}

{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch 3Views
|Name=Arch 3Views
|Name/ru=Arch 3Views
|Name/ru=Arch: 3Views/3 D Просмотры
|Workbenches=[[Arch Module|Arch]]
|MenuLocation=Архитектура → Утилиты → 3 Views from mesh
|MenuLocation=Архитектура → Утилиты → 3 Views from mesh
|Workbenches=[[Arch Module|Arch]]
|Shortcut=
|Shortcut=
|SeeAlso=[[Arch SplitMesh|Arch SplitMesh]], [[Arch MeshToShape|Arch MeshToShape]]
|SeeAlso=}}
}}


==Описание==
==Описание==


<div class="mw-translate-fuzzy">
'''Эта команда в настоящее время не используется'''. Она служит для создания плоских, базирующихся на форме видов из [[Mesh Module/ru|полигональных]] объектов, для использования инструментами [[Arch Equipment/ru|Arch Equipment]].
'''Эта команда в настоящее время не используется'''. Она служит для создания плоских, базирующихся на форме видов из [[Mesh Module/ru|полигональных]] объектов, для использования инструментами [[Arch Equipment/ru|Arch Equipment]].
</div>


==Использование==
==Использование==


# Select a Mesh object
# Select a Mesh object.
# Select menu Arch → Utilities → {{KEY|[[Image:Arch 3Views.png|16px]] [[Arch 3Views|3Views]]}}
# Select the {{KEY|[[Image:Arch 3Views.svg|16px]]}} button, or {{KEY|Arch}}{{KEY|Utilities}} → {{KEY|[[Image:Arch 3Views.svg|16px]] [[Arch 3Views|3Views]]}} from the top menu.

== Scripting ==
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].

This tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
}}
* Creates a flat {{incode|shape}} that is the projection of the given mesh object ({{incode|obj}}) in the given {{incode|direction}}.
* If {{incode|outeronly}} is {{incode|True}} only the outer contour is taken into consideration, discarding the inner holes.
* If {{incode|largestonly}} is {{incode|True}} only the largest segment of the given mesh will be used.

Use {{incode|Part.show()}} to display the resulting flat shape.

Example:
{{Code|code=
import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)


s1 = Arch.createMeshView(mesh_obj, ZAxis)
==Options==
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)


Part.show(s1)
==Properties==
Part.show(s2)
Part.show(s3)


Wall.ViewObject.Visibility = False
==Scripting==
mesh_obj.ViewObject.Visibility = False
}}


{{Docnav/ru
==Limitations==
|[[Arch_ToggleIfcBrepFlag|Toggle IFC Brep flag]]
|[[Arch_MakeIfcSpreadsheet|Create IFC spreadsheet...]]
|[[Arch_Module|Arch]]
|IconL=Arch_ToggleIfcBrepFlag.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Schedule.svg
}}


{{Arch Tools navi{{#translation:}}}}
==Tutorials==


{{Userdocnavi{{#translation:}}}}
[[Category:Arch]]

Revision as of 18:11, 19 February 2020

Arch: 3Views/3 D Просмотры

Системное название
Arch 3Views
Расположение в меню
Архитектура → Утилиты → 3 Views from mesh
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Arch SplitMesh, Arch MeshToShape

Описание

Эта команда в настоящее время не используется. Она служит для создания плоских, базирующихся на форме видов из полигональных объектов, для использования инструментами Arch Equipment.

Использование

  1. Select a Mesh object.
  2. Select the button, or ArchUtilities 3Views from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
  • Creates a flat shape that is the projection of the given mesh object (obj) in the given direction.
  • If outeronly is True only the outer contour is taken into consideration, discarding the inner holes.
  • If largestonly is True only the largest segment of the given mesh will be used.

Use Part.show() to display the resulting flat shape.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)

Wall.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False